import { HcApi } from '../../request/index'

export default {
    //懒加载菜单列表
    async getLazyList(form) {
        return HcApi({
            url: '/api/blade-system/menu/lazy-list',
            method: 'get',
            params: form,
        }, false)
    },
    //全加载菜单树
    async getMenuTree(form) {
        return HcApi({
            url: '/api/blade-system/menu/tree',
            method: 'get',
            params:form,
        }, false)
    },
    //菜单详情
    async detail(id) {
        return HcApi({
            url: '/api/blade-system/menu/detail',
            method: 'get',
            params: {
                id,
            },
        }, false)
    },
    //新增和编辑菜单
    async submit(form) {
        return HcApi({
            url: '/api/blade-system/menu/submit',
            method: 'post',
            data: form,
        }, false)
    },
    //删除菜单
    async del(ids) {
        return HcApi({
            url: '/api/blade-system/menu/remove',
            method: 'post',
            params: {
                ids,
            },
        }, false)
    },
    async getLazyMenuList(form) {
        return HcApi({
            url: '/api/blade-system/menu/lazy-menu-list',
            method: 'get',
            params: form,
        }, false)
    },
}
